## com.sun.grizzly.util
Interface SupportStateHolder<E>

All Known Subinterfaces:
  ComplexSelectorHandler, SelectorHandler

All Known Implementing Classes:
  Controller, ReadController, RoundRobinSelectorHandler, SSLSelectorHandler, TCPSelectorHandler, UDPSelectorHandler

    public interface SupportStateHolder<E>

Interface implementors support `StateHolder` for state control

Author:
  Alexey Stashok

Method Summary
`StateHolder<E>` `getStateHolder()` Gets `StateHolder` for this object

Method Detail

### getStateHolder

    StateHolder<E> getStateHolder()

  Gets `StateHolder` for this object

  Returns:
    `StateHolder`

Copyright © 2008 SUN Microsystems. All Rights Reserved.